package com.hai.entity;

import com.hai.model.HighCouponAgentCodeModel;

import java.io.Serializable;
import java.util.Date;

/**
 * high_coupon_agent_code
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class HighCouponAgentCode extends HighCouponAgentCodeModel implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 类型  1：销售码   2：兑换码
     */
    private Integer type;

    /**
     * 卡券和代理商的id
     */
    private Long couponAgentId;

    /**
     * 卡券id
     */
    private Long couponId;

    /**
     * 代理商id
     */
    private Long agentId;

    /**
     * 卡券分配给代理商库存记录id
     */
    private Long couponAgentRecordId;

    /**
     * 兑换人手机号
     */
    private String convertUserPhone;

    /**
     * 兑换码
     */
    private String convertCode;

    /**
     * 销售码id
     */
    private Long couponCodeId;

    /**
     * 销售码
     */
    private String couponCode;

    /**
     * 二维码
     */
    private String qrCode;

    /**
     * 状态：0.删除 1.待销售 2.未使用 3.已使用  4. 分发代理商
     */
    private Integer status;

    /**
     * 分配给卡券和代理商的id
     */
    private Long assignCouponAgentId;

    /**
     * 分配代理商id
     */
    private Long assignAgentId;

    /**
     * 分配代理商名称
     */
    private String assignAgentName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 销售时间
     */
    private Date salesTime;

    /**
     * 操作人
     */
    private Long operatorId;

    /**
     * 操作人名称
     */
    private String operatorName;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Long getCouponAgentId() {
        return couponAgentId;
    }

    public void setCouponAgentId(Long couponAgentId) {
        this.couponAgentId = couponAgentId;
    }

    public Long getCouponId() {
        return couponId;
    }

    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getCouponAgentRecordId() {
        return couponAgentRecordId;
    }

    public void setCouponAgentRecordId(Long couponAgentRecordId) {
        this.couponAgentRecordId = couponAgentRecordId;
    }

    public String getConvertUserPhone() {
        return convertUserPhone;
    }

    public void setConvertUserPhone(String convertUserPhone) {
        this.convertUserPhone = convertUserPhone;
    }

    public String getConvertCode() {
        return convertCode;
    }

    public void setConvertCode(String convertCode) {
        this.convertCode = convertCode;
    }

    public Long getCouponCodeId() {
        return couponCodeId;
    }

    public void setCouponCodeId(Long couponCodeId) {
        this.couponCodeId = couponCodeId;
    }

    public String getCouponCode() {
        return couponCode;
    }

    public void setCouponCode(String couponCode) {
        this.couponCode = couponCode;
    }

    public String getQrCode() {
        return qrCode;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getAssignCouponAgentId() {
        return assignCouponAgentId;
    }

    public void setAssignCouponAgentId(Long assignCouponAgentId) {
        this.assignCouponAgentId = assignCouponAgentId;
    }

    public Long getAssignAgentId() {
        return assignAgentId;
    }

    public void setAssignAgentId(Long assignAgentId) {
        this.assignAgentId = assignAgentId;
    }

    public String getAssignAgentName() {
        return assignAgentName;
    }

    public void setAssignAgentName(String assignAgentName) {
        this.assignAgentName = assignAgentName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getSalesTime() {
        return salesTime;
    }

    public void setSalesTime(Date salesTime) {
        this.salesTime = salesTime;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        HighCouponAgentCode other = (HighCouponAgentCode) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getCouponAgentId() == null ? other.getCouponAgentId() == null : this.getCouponAgentId().equals(other.getCouponAgentId()))
            && (this.getCouponId() == null ? other.getCouponId() == null : this.getCouponId().equals(other.getCouponId()))
            && (this.getAgentId() == null ? other.getAgentId() == null : this.getAgentId().equals(other.getAgentId()))
            && (this.getCouponAgentRecordId() == null ? other.getCouponAgentRecordId() == null : this.getCouponAgentRecordId().equals(other.getCouponAgentRecordId()))
            && (this.getConvertUserPhone() == null ? other.getConvertUserPhone() == null : this.getConvertUserPhone().equals(other.getConvertUserPhone()))
            && (this.getConvertCode() == null ? other.getConvertCode() == null : this.getConvertCode().equals(other.getConvertCode()))
            && (this.getCouponCodeId() == null ? other.getCouponCodeId() == null : this.getCouponCodeId().equals(other.getCouponCodeId()))
            && (this.getCouponCode() == null ? other.getCouponCode() == null : this.getCouponCode().equals(other.getCouponCode()))
            && (this.getQrCode() == null ? other.getQrCode() == null : this.getQrCode().equals(other.getQrCode()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getAssignCouponAgentId() == null ? other.getAssignCouponAgentId() == null : this.getAssignCouponAgentId().equals(other.getAssignCouponAgentId()))
            && (this.getAssignAgentId() == null ? other.getAssignAgentId() == null : this.getAssignAgentId().equals(other.getAssignAgentId()))
            && (this.getAssignAgentName() == null ? other.getAssignAgentName() == null : this.getAssignAgentName().equals(other.getAssignAgentName()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getSalesTime() == null ? other.getSalesTime() == null : this.getSalesTime().equals(other.getSalesTime()))
            && (this.getOperatorId() == null ? other.getOperatorId() == null : this.getOperatorId().equals(other.getOperatorId()))
            && (this.getOperatorName() == null ? other.getOperatorName() == null : this.getOperatorName().equals(other.getOperatorName()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getCouponAgentId() == null) ? 0 : getCouponAgentId().hashCode());
        result = prime * result + ((getCouponId() == null) ? 0 : getCouponId().hashCode());
        result = prime * result + ((getAgentId() == null) ? 0 : getAgentId().hashCode());
        result = prime * result + ((getCouponAgentRecordId() == null) ? 0 : getCouponAgentRecordId().hashCode());
        result = prime * result + ((getConvertUserPhone() == null) ? 0 : getConvertUserPhone().hashCode());
        result = prime * result + ((getConvertCode() == null) ? 0 : getConvertCode().hashCode());
        result = prime * result + ((getCouponCodeId() == null) ? 0 : getCouponCodeId().hashCode());
        result = prime * result + ((getCouponCode() == null) ? 0 : getCouponCode().hashCode());
        result = prime * result + ((getQrCode() == null) ? 0 : getQrCode().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getAssignCouponAgentId() == null) ? 0 : getAssignCouponAgentId().hashCode());
        result = prime * result + ((getAssignAgentId() == null) ? 0 : getAssignAgentId().hashCode());
        result = prime * result + ((getAssignAgentName() == null) ? 0 : getAssignAgentName().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getSalesTime() == null) ? 0 : getSalesTime().hashCode());
        result = prime * result + ((getOperatorId() == null) ? 0 : getOperatorId().hashCode());
        result = prime * result + ((getOperatorName() == null) ? 0 : getOperatorName().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", type=").append(type);
        sb.append(", couponAgentId=").append(couponAgentId);
        sb.append(", couponId=").append(couponId);
        sb.append(", agentId=").append(agentId);
        sb.append(", couponAgentRecordId=").append(couponAgentRecordId);
        sb.append(", convertUserPhone=").append(convertUserPhone);
        sb.append(", convertCode=").append(convertCode);
        sb.append(", couponCodeId=").append(couponCodeId);
        sb.append(", couponCode=").append(couponCode);
        sb.append(", qrCode=").append(qrCode);
        sb.append(", status=").append(status);
        sb.append(", assignCouponAgentId=").append(assignCouponAgentId);
        sb.append(", assignAgentId=").append(assignAgentId);
        sb.append(", assignAgentName=").append(assignAgentName);
        sb.append(", remark=").append(remark);
        sb.append(", createTime=").append(createTime);
        sb.append(", salesTime=").append(salesTime);
        sb.append(", operatorId=").append(operatorId);
        sb.append(", operatorName=").append(operatorName);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
